List payments
curl --request GET \
--url https://api-dashboard.payra.com/v1/payments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-dashboard.payra.com/v1/payments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-dashboard.payra.com/v1/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"object": "payment",
"id": "pay_test_7Hs2kQ9mL1pXv4cR8tWzAbCdEf",
"status": "succeeded",
"amount": 12550,
"currency": "USD",
"payment_method": "pm_test_9kQ2mL7Hs1pXv4cR8tWzAbCdEf",
"customer": null,
"description": "Invoice INV-1042",
"reference": "INV-1042",
"card": {
"brand": "visa",
"last4": "4242",
"exp_month": 12,
"exp_year": 2030
},
"failure": {
"code": "card_declined",
"message": "The card was declined."
},
"next_action": null,
"livemode": false,
"created_at": "2026-09-18T20:00:00.000Z",
"succeeded_at": "2026-09-18T20:00:01.312Z",
"amount_refunded": 0,
"payment_method_type": "card",
"us_bank_account": null
}
],
"has_more": true
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Payments
List payments
Your payments, newest first, a page at a time. Only the payments made with keys of this workspace and environment; walk the pages with starting_after.
GET
/
payments
List payments
Authorizations
A secret key, sk_test_... or sk_live_...; a publishable key (pk_...) on the browser routes only
Query Parameters
How many to return, 1 to 100.
Required range:
1 <= x <= 100Example:
20
The id of the last payment of the previous page; the page after it is returned.
Required string length:
1 - 64Example:
"pay_test_7Hs2kQ9mL1pXv4cR8tWzAbCdEf"